Support the latest pkg:build_web_compilers
diff --git a/.travis.yml b/.travis.yml
index a784107..ade41f8 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -45,9 +45,3 @@
   directories:
     - $HOME/.pub-cache
     - .dart_tool
-
-# Necessary for Chrome and Firefox to run
-before_install:
- - export DISPLAY=:99.0
- - sh -e /etc/init.d/xvfb start
- - "t=0; until (xdpyinfo -display :99 &> /dev/null || test $t -gt 10); do sleep 1; let t=$t+1; done"
diff --git a/pubspec.yaml b/pubspec.yaml
index 33cfecf..8bfa5ac 100644
--- a/pubspec.yaml
+++ b/pubspec.yaml
@@ -4,16 +4,18 @@
 description: Support for marking objects as observable
 homepage: https://github.com/dart-lang/observable
 environment:
-  sdk: '>=2.0.0-dev.55.0 <3.0.0'
+  sdk: '>=2.0.0 <3.0.0'
+
 dependencies:
   collection: ^1.11.0
   dart_internal: ^0.1.1
   meta: ^1.0.4
   quiver: '>=0.24.0 <3.0.0'
+
 dev_dependencies:
   build_runner: '>=0.8.0 <2.0.0'
   build_test: ^0.10.0
-  build_web_compilers: '>=0.3.1 <2.0.0'
+  build_web_compilers: '>=0.3.1 <3.0.0'
   dart_style: ^1.0.9
   pedantic: '^1.4.0'
   test: ^1.3.0
diff --git a/tool/travis.sh b/tool/travis.sh
index 0e584b9..3b78771 100755
--- a/tool/travis.sh
+++ b/tool/travis.sh
@@ -46,13 +46,13 @@
     ;;
   dartdevc_test) echo
     echo -e '\033[1mTASK: dartdevc_test\033[22m'
-    echo -e 'pub run build_runner test -- -P travis -p chrome'
-    pub run build_runner test -- -p chrome || EXIT_CODE=$?
+    echo -e 'xvfb-run pub run build_runner test -- -P travis -p chrome'
+    xvfb-run pub run build_runner test -- -p chrome || EXIT_CODE=$?
     ;;
   dart2js_test) echo
     echo -e '\033[1mTASK: dart2js_test\033[22m'
-    echo -e 'pub run test -P travis -p chrome -x requires-dart2'
-    pub run test -p chrome || EXIT_CODE=$?
+    echo -e 'xvfb-run pub run test -P travis -p chrome -x requires-dart2'
+    xvfb-run pub run test -p chrome || EXIT_CODE=$?
     ;;
   *) echo -e "\033[31mNot expecting TASK '${TASK}'. Error!\033[0m"
     EXIT_CODE=1